Skip Menu |
 

This queue is for tickets about the PerlIO-gzip CPAN distribution.

Report information
The Basics
Id: 92412
Status: patched
Priority: 0/
Queue: PerlIO-gzip

People
Owner: Nobody in particular
Requestors: ether [...] cpan.org
KENTNL [...] cpan.org
PLICEASE [...] cpan.org
TEAM [...] cpan.org
zefram [...] fysh.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: usesfio config removal breaks
Date: Thu, 23 Jan 2014 15:44:41 +0000
To: bug-PerlIO-gzip [...] rt.cpan.org
From: Zefram <zefram [...] fysh.org>
Download (untitled) / with headers
text/plain 154b
PerlIO-gzip-0.18 fails to configure on Perl 5.19.8, where usesfio is no longer available as a core configuration setting. Attached patch fixes. -zefram

Message body is not shown because sender requested not to inline it.

Download (untitled) / with headers
text/plain 422b
On 2014-01-23 10:44:54, zefram@fysh.org wrote: Show quoted text
> PerlIO-gzip-0.18 fails to configure on Perl 5.19.8, where usesfio is no > longer available as a core configuration setting. Attached patch fixes.
The patch is now also available on $CPAN/authors/id/S/SR/SREZIC/patches/PerlIO-gzip-0.18-RT92412.patch for use in CPAN.pm distroprefs files (see https://github.com/eserte/srezic-cpan-distroprefs/blob/master/PerlIO-gzip.yml )
Download (untitled) / with headers
text/plain 125b
Any chance this could be fixed in CPAN? It seems like an easy fix. Then this module could be used safely as a prereq again.
Download (untitled) / with headers
text/plain 155b
Just to add a 'me too' to the list of peeps wishing this patch was merged and deployed. (if you want to give away a commit bit, I'm willing to release it)
Subject: [rt.cpan.org #92412] Please fix PerlIO::gzip with PERL 5.20
Date: Sat, 22 Nov 2014 00:39:37 -0800
To: bug-perlio-gzip [...] rt.cpan.org
From: Shaun Jackman <sjackman [...] gmail.com>
RT-Send-CC: sjackman [...] gmail.com, zefram [...] fysh.org
Download (untitled) / with headers
text/plain 664b
On Thu Jan 23 10:44:54 2014, zefram@fysh.org wrote: Show quoted text
> PerlIO-gzip-0.18 fails to configure on Perl 5.19.8, where usesfio is no > longer available as a core configuration setting. Attached patch fixes.
Thanks applied. Along with your other patch, uploaded to CPAN as 0.19 Sorry about the delay on this. I've been very busy with a lot of things, which has prevented me from doing the stuff I actually want to do. Things now finally feel like they are under control, so I'm hopeful that I should have more time/headspace to deal with fun stuff in the future. Also, gosh, previous release was in 2006. Which would explain why there's no local build setup for it...
Subject: Re: [rt.cpan.org #92412] usesfio config removal breaks
Date: Sat, 28 Feb 2015 08:13:13 -0800
To: bug-perlio-gzip [...] rt.cpan.org
From: Shaun Jackman <sjackman [...] gmail.com>
Thanks, Nicholas!


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.